### 4.2.3 bigintmat type cast

`Syntax:`
  `bigintmat (` expression `)`
`Type:`
  bigintmat
`Purpose:`
  Converts expression to a bigintmat, where expression must be of type intmat, or bigintmat.The size (resp. dimension) of the created bigintmat equals the size (resp. dimension) of the expression.
`Example:`

        intmat im[2][1]=2, 3;
        bigintmat(im);
      ==> 2,
      ==> 3
        bigintmat(_);
      ==> 2,
      ==> 3
        bigintmat(intmat(intvec(1,2,3,4), 2, 2)); //casts at first to intmat, then to bigintmat
      ==> 1,2,
      ==> 3,4

See Type conversion and casting; bigintmat; intmat type cast.

User manual for Singular version 4-0-3, 2016, generated by texi2html.